Subject: bug#850: closed (Re: It's back)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 31 Jul 2011 14:42:02 +0000

Your bug report

#850: 23.0.60; make autoloads reports memory exhaustion

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
850: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=850
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: It's back
From: Lars Magne Ingebrigtsen <[email-masked]>
To: Tim Van Holder <[email-masked]>
Cc: [email-masked]
Date: Sun, 31 Jul 2011 16:37:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Tim Van Holder <[email-masked]> writes:

> Looks like it's gone. Hadn't built emacs in a long time; did a bzr up
> to get the latest sources, then ran make -C lisp autoloads, and it
> completed just fine.

Ok; I'm closing the bug report, then.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

>From [email-masked] Mon Sep  1 03:15:46 2008
From: Tim Van Holder <[email-masked]>
To: [email-masked]
Subject: 23.0.60; make autoloads reports memory exhaustion
Date: Mon, 01 Sep 2008 12:15:31 +0200

CVS build of this morning; did a make maintainer-clean followed by a
make boostrap to ensure a clean slate.

My normal "rebuild" script updates the sources and then runs

test -f src/emacs && test -x src/emacs || make
make info
make -C lisp recompile updates
rm -f etc/DOC* src/emacs
make

But since this morning the make command for the lisp subdir fails during
autoloads processing:

Saving file /home/tim/gnu/src/emacs/lisp/loaddefs.el...
Memory exhausted--use C-x s then exit and restart Emacs
make: *** [autoloads] Error 255

loaddefs.el doesn't seem to get updated. It also prevented the other
commands for the 'updates' target from running, but I've added -k to the
make options to work around that.

In case it's relevant, I build outside the source tree.